Subject: [MIB-DOCTORS] FW: I believe SMICng generates an incorrect Warning

From: "Wijnen, Bert \(Bert\)" <[email-masked]>
Date: Wed, 7 Mar 2007 09:12:57 +0100

Seems this one did not make it to the mailing list

So resending.
Bert 

-----Original Message-----
From: Wijnen, Bert (Bert) 
Sent: dinsdag 6 maart 2007 22:57
To: 'David T. Perkins'
Cc: [email-masked]
Subject: RE: I believe SMICng generates an incorrect Warning

dave, I am not sure we do have a swictch to turn the warning off.
If we do, pls tell me which one it is.

But in general, I believe that if the MIB doctors do not have consensus
that this usage of indexing is incorrect, then by default, SMICng should
not give a warning.
Just my opinion.

Bert 

> -----Original Message-----
> From: David T. Perkins [mailto:[email-masked]]
> Sent: dinsdag 6 maart 2007 18:44
> To: Wijnen, Bert (Bert)
> Cc: [email-masked]
> Subject: Re: I believe SMICng generates an incorrect Warning
> 
> HI,
> 
> This is an old issue. I haven't updated SMICng so the default is to 
> allow such constructs. Again, my position on this issue has not 
> changed, and since the SMI will most likely never be updated to 
> address it, and since most people don't understand the issue, I 
> suggest that you just turn off the check.
> 
> In general, the SMI does not have enough expresive power to describe 
> relationships between tables and existance relationships between rows 
> in related tables. I believe there are pretty easy fixes. Others don't

> care, since they claim that any lack of expressiveness in the SMI is 
> resolved by text in DESCRIPTION clauses, and believe that any solution

> (by extending the SMI) is higher in cost than the savings that would 
> be realized.
> 
> On Tue, 6 Mar 2007, Wijnen, Bert \(Bert\) wrote:
> > For the isnsMIB module I get:
> >
> >   W: f(isns.mi2), (2657,19) Row "isnsRegFcNodePortEntry" 
> does not have
> > a
> >      consistent indexing scheme - cannot specify an index item from
> >      additional "base row" isnsRegFcNodeEntry, since can
> have only one
> >      "base row" which is isnsRegFcPortEntry
> >
> > I do not know where this is specified in our SMIv2 or RFC4181.
> >
> > I understand we can only have one base row.
> > But does that mean that an index object from another row cannot be 
> > used as a secondary index?
> >
> > Do we have a common view within the team of MIB doctors on this?
> >
> > Bert
> >
> Regards,
> /david t. perkins
> 

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors